package cn.iocoder.yudao.module.order.vo.orderCargoControl;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 订单控货人信息 Response VO
* @author 郑屹
*/
@Data
@ApiModel("管理后台 - 订单控货人信息 Response VO")
public class OrderCargoControlBackVO {

    @ExcelProperty("主键ID")
    @ApiModelProperty(value = "主键ID", required = true)
    private Long id;

    @ExcelProperty("用户id")
    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ExcelProperty("订单id")
    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ExcelProperty("订单号")
    @ApiModelProperty(value = "订单号")
    private String orderNo;

    @ExcelProperty("提单号")
    @ApiModelProperty(value = "提单号")
    private String tidanNo;

    @ExcelProperty("上个控货人ID")
    @ApiModelProperty(value = "上个控货人ID")
    private Long cargoControlId;

    @ExcelProperty("上个控货人名字")
    @ApiModelProperty(value = "上个控货人名字")
    private String cargoControlName;

    @ExcelProperty("上个控货人手机")
    @ApiModelProperty(value = "上个控货人手机")
    private String cargoControlPhone;

    @ExcelProperty("控货人名字")
    @ApiModelProperty(value = "控货人名字")
    private String name;

    @ExcelProperty("控货人名字(英文)")
    @ApiModelProperty(value = "控货人名字(英文)")
    private String nameEn;

    @ExcelProperty("手机")
    @ApiModelProperty(value = "手机")
    private String phone;

    @ExcelProperty("邮箱")
    @ApiModelProperty(value = "邮箱")
    private String email;

    @ExcelProperty("公司")
    @ApiModelProperty(value = "公司")
    private String company;

    @ExcelProperty("公司(英文)")
    @ApiModelProperty(value = "公司(英文)")
    private String companyEn;

    @ExcelProperty("国家简称")
    @ApiModelProperty(value = "国家简称")
    private String iso2;

    @ExcelProperty("国家区号")
    @ApiModelProperty(value = "国家区号")
    private Integer dialCode;

    @ExcelProperty("客户id")
    @ApiModelProperty(value = "客户id")
    private Long customerId;

    @ExcelProperty("客户联系人id")
    @ApiModelProperty(value = "客户联系人id")
    private Long customerContactsId;

    @ExcelProperty("是否为实际控货人")
    @ApiModelProperty(value = "是否为实际控货人")
    private Boolean isActual;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;



}
